  // UART
#define F_CPU 11059200UL
  #define UART_BAUD_RATE 1200
  #define UART_BAUD_CALC(UART_BAUD_RATE,F_OSC)((F_CPU)/((UART_BAUD_RATE)*16L)-1)

void usartInit(void){
	 UBRR0H =(uint8_t) (UART_BAUD_CALC(UART_BAUD_RATE,F_CPU)>>8);
  UBRR0L =(uint8_t) UART_BAUD_CALC(UART_BAUD_RATE,F_CPU);

  UCSR0B = (1<<RXEN0) | (1<<TXEN0);  // enable receiver and transmitter
  UCSR0C = (3<<UCSZ00);        // 8 bit (default: asynchronous, no parity,1stop-bit)
}

void uart_puts (char *s)
{
    while (*s)
    {   /* so lange *s != '\0' also ungleich dem "String-Endezeichen(Terminator)" */
        uart_putc(*s);
        s++;
    }
}

void uart_putc( char c)
{
    while (!(UCSR0A & (1<<UDRE0)))  /* warten bis Senden moeglich */
    {
    }                              
    UDR0 = c;                      /* sende Zeichen */

}